Package org.apache.wiki.http.filter

# Class CORPFilter

java.lang.Object
org.apache.wiki.http.filter.CORPFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`

public class CORPFilter extends Object implements jakarta.servlet.Filter
Cross-Origin-Resource-Policy

## Constructor Summary

Constructors
Constructor
Description
`CORPFilter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain)`
`void`
`init(jakarta.servlet.FilterConfig filterConfig)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.Filter

`destroy`

## Constructor Details

### CORPFilter

public CORPFilter()

## Method Details

### init

public void init(jakarta.servlet.FilterConfig filterConfig)

Specified by:
  `init` in interface `jakarta.servlet.Filter`

### doFilter

public void doFilter(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException

Specified by:
  `doFilter` in interface `jakarta.servlet.Filter`
Throws:
  `IOException`
  `jakarta.servlet.ServletException`